#ifndef INPUTEVENTGATHER_H
#define INPUTEVENTGATHER_H

#include "event.h"

#include <QObject>
#include <QThread>

class InputEventGather : public QThread
{
    Q_OBJECT
public:
    InputEventGather(QThread *parent = nullptr);
    virtual ~InputEventGather();

signals:
    void sendEvent(Event event);
};

#endif // INPUTEVENTGATHER_H
